GET /api/transactions/tx/{hash}/receipt
Transaction receipt
GET receipt data from transactions service
Endpoint​
GET https://api.web3identity.com/api/transactions/tx/{hash}/receipt
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hash | path | string | âś… | Transaction or cast hash |
chain | query | string | ❌ | Blockchain network (ethereum, base, polygon, etc) |
Example Request​
curl -s "https://api.web3identity.com/api/transactions/tx/:hash/receipt" | jq
Responses​
200 Receipt​
{
"success": true,
"data": {}
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required - free tier exhausted​
{
"example": "response"
}
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec